<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: BITHockeyManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#pub-static-methods">Class Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="interface_b_i_t_hockey_manager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BITHockeyManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_b_i_t_hockey_manager_8h_source.html">BITHockeyManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for BITHockeyManager:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_b_i_t_hockey_manager.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:ab4b7d756eb0379ed8bd9e7218f007363"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_b_i_t_hockey_manager.html#ab4b7d756eb0379ed8bd9e7218f007363">configureWithIdentifier:</a></td></tr>
<tr class="separator:ab4b7d756eb0379ed8bd9e7218f007363"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a210df4fb8f863d00573f0ce4f5160cfb"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_b_i_t_hockey_manager.html#a210df4fb8f863d00573f0ce4f5160cfb">configureWithIdentifier:delegate:</a></td></tr>
<tr class="separator:a210df4fb8f863d00573f0ce4f5160cfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a39afc7f4179e09ef9897a6298452f4"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_b_i_t_hockey_manager.html#a9a39afc7f4179e09ef9897a6298452f4">configureWithBetaIdentifier:liveIdentifier:delegate:</a></td></tr>
<tr class="separator:a9a39afc7f4179e09ef9897a6298452f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b577ba5d1c2a65dc1b27e6a4503a4a3"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_b_i_t_hockey_manager.html#a6b577ba5d1c2a65dc1b27e6a4503a4a3">startManager</a></td></tr>
<tr class="separator:a6b577ba5d1c2a65dc1b27e6a4503a4a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec6b731a3a30af3d70541211529377e0"><td class="memItemLeft" align="right" valign="top">(BOOL debugLogEnabled)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_b_i_t_hockey_manager.html#aec6b731a3a30af3d70541211529377e0">DEPRECATED_MSG_ATTRIBUTE</a></td></tr>
<tr class="separator:aec6b731a3a30af3d70541211529377e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a928cdb136ec38fd7f4b1d1841725c9fe"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_b_i_t_hockey_manager.html#a928cdb136ec38fd7f4b1d1841725c9fe">setLogHandler:</a></td></tr>
<tr class="separator:a928cdb136ec38fd7f4b1d1841725c9fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2552c1dd1bd985a174ef7015fb0c7131"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_b_i_t_hockey_manager.html#a2552c1dd1bd985a174ef7015fb0c7131">testIdentifier</a></td></tr>
<tr class="separator:a2552c1dd1bd985a174ef7015fb0c7131"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefa4781037bb029e406e8b456955c2ab"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_b_i_t_hockey_manager.html#aefa4781037bb029e406e8b456955c2ab">version</a></td></tr>
<tr class="separator:aefa4781037bb029e406e8b456955c2ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2317445ed88307f261c478d69e79b039"><td class="memItemLeft" align="right" valign="top">(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_b_i_t_hockey_manager.html#a2317445ed88307f261c478d69e79b039">build</a></td></tr>
<tr class="separator:a2317445ed88307f261c478d69e79b039"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Class Methods</h2></td></tr>
<tr class="memitem:a88ae3cd93520fb6640716cccc41d4ed1"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a> *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_b_i_t_hockey_manager.html#a88ae3cd93520fb6640716cccc41d4ed1">sharedHockeyManager</a></td></tr>
<tr class="separator:a88ae3cd93520fb6640716cccc41d4ed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:add469a4b74ca3c815b90b4cd698dfe85"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#add469a4b74ca3c815b90b4cd698dfe85">delegate</a></td></tr>
<tr class="separator:add469a4b74ca3c815b90b4cd698dfe85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b2961029dd7c9aeeebd088f55005fd5"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#a7b2961029dd7c9aeeebd088f55005fd5">serverURL</a></td></tr>
<tr class="separator:a7b2961029dd7c9aeeebd088f55005fd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8ca2c2179d873c046b4cc8f5a61cac3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="interface_b_i_t_crash_manager.html">BITCrashManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#af8ca2c2179d873c046b4cc8f5a61cac3">crashManager</a></td></tr>
<tr class="separator:af8ca2c2179d873c046b4cc8f5a61cac3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad448a735dc7a35659bdcd8c2f6c0595b"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#ad448a735dc7a35659bdcd8c2f6c0595b">disableCrashManager</a></td></tr>
<tr class="separator:ad448a735dc7a35659bdcd8c2f6c0595b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81192e3773db76edda3eea893fa59579"><td class="memItemLeft" align="right" valign="top"><a class="el" href="interface_b_i_t_update_manager.html">BITUpdateManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#a81192e3773db76edda3eea893fa59579">updateManager</a></td></tr>
<tr class="separator:a81192e3773db76edda3eea893fa59579"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae5e18f56bb70ce07de29d5fbcc3d47f"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#aae5e18f56bb70ce07de29d5fbcc3d47f">disableUpdateManager</a></td></tr>
<tr class="separator:aae5e18f56bb70ce07de29d5fbcc3d47f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88a2490372fb276fb336ed5817e75ccf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="interface_b_i_t_store_update_manager.html">BITStoreUpdateManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#a88a2490372fb276fb336ed5817e75ccf">storeUpdateManager</a></td></tr>
<tr class="separator:a88a2490372fb276fb336ed5817e75ccf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e5bdbb1183a166a2b5ad81cec42f99a"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#a6e5bdbb1183a166a2b5ad81cec42f99a">enableStoreUpdateManager</a></td></tr>
<tr class="separator:a6e5bdbb1183a166a2b5ad81cec42f99a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77142760e58ae3c6334dd6248cb34c33"><td class="memItemLeft" align="right" valign="top"><a class="el" href="interface_b_i_t_authenticator.html">BITAuthenticator</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#a77142760e58ae3c6334dd6248cb34c33">authenticator</a></td></tr>
<tr class="separator:a77142760e58ae3c6334dd6248cb34c33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0b91d8eb94a1c38bb50d136623c93b9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="interface_b_i_t_metrics_manager.html">BITMetricsManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#ae0b91d8eb94a1c38bb50d136623c93b9">metricsManager</a></td></tr>
<tr class="separator:ae0b91d8eb94a1c38bb50d136623c93b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad04149f729164cc0670c5dc9812c2d43"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#ad04149f729164cc0670c5dc9812c2d43">disableMetricsManager</a></td></tr>
<tr class="separator:ad04149f729164cc0670c5dc9812c2d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46ccde303d24752ebc7dca26e9c201a7"><td class="memItemLeft" align="right" valign="top">BITEnvironment&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#a46ccde303d24752ebc7dca26e9c201a7">appEnvironment</a></td></tr>
<tr class="separator:a46ccde303d24752ebc7dca26e9c201a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2feeb886ab3164720afdccda83687fe"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#ab2feeb886ab3164720afdccda83687fe">installString</a></td></tr>
<tr class="separator:ab2feeb886ab3164720afdccda83687fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64a68fd6a448e3d4877a3d8e5f9860a8"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#a64a68fd6a448e3d4877a3d8e5f9860a8">disableInstallTracking</a></td></tr>
<tr class="separator:a64a68fd6a448e3d4877a3d8e5f9860a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5491a6c837be3a3185c0392822f0f69f"><td class="memItemLeft" align="right" valign="top">BITLogLevel&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#a5491a6c837be3a3185c0392822f0f69f">logLevel</a></td></tr>
<tr class="separator:a5491a6c837be3a3185c0392822f0f69f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7471a4413b37ee1bbbf76d328ced4fb1"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#a7471a4413b37ee1bbbf76d328ced4fb1">userID</a></td></tr>
<tr class="separator:a7471a4413b37ee1bbbf76d328ced4fb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26fd1de06ba7d0cca9f3ba1cedcd92cc"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#a26fd1de06ba7d0cca9f3ba1cedcd92cc">userName</a></td></tr>
<tr class="separator:a26fd1de06ba7d0cca9f3ba1cedcd92cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab083fd69a91299e5ad9ac45cfcb2ccc0"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_b_i_t_hockey_manager.html#ab083fd69a91299e5ad9ac45cfcb2ccc0">userEmail</a></td></tr>
<tr class="separator:ab083fd69a91299e5ad9ac45cfcb2ccc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The HockeySDK manager. Responsible for setup and management of all components</p>
<p>This is the principal SDK class. It represents the entry point for the HockeySDK. The main promises of the class are initializing the SDK modules, providing access to global properties and to all modules. Initialization is divided into several distinct phases:</p>
<ol type="1">
<li>Setup the <a href="http://hockeyapp.net/">HockeyApp</a> app identifier and the optional delegate: This is the least required information on setting up the SDK and using it. It does some simple validation of the app identifier and checks if the app is running from the App Store or not.</li>
<li>Provides access to the SDK modules <code><a class="el" href="interface_b_i_t_crash_manager.html">BITCrashManager</a></code>, <code><a class="el" href="interface_b_i_t_update_manager.html">BITUpdateManager</a></code>, and <code>BITFeedbackManager</code>. This way all modules can be further configured to personal needs, if the defaults don't fit the requirements.</li>
<li>Configure each module.</li>
<li>Start up all modules.</li>
</ol>
<p>The SDK is optimized to defer everything possible to a later time while making sure e.g. crashes on startup can also be caught and each module executes other code with a delay some seconds. This ensures that applicationDidFinishLaunching will process as fast as possible and the SDK will not block the startup sequence resulting in a possible kill by the watchdog process.</p>
<p>All modules do <b>NOT</b> show any user interface if the module is not activated or not integrated. <code><a class="el" href="interface_b_i_t_crash_manager.html">BITCrashManager</a></code>: Shows an alert on startup asking the user if he/she agrees on sending the crash report, if <code>[<a class="el" href="interface_b_i_t_crash_manager.html">BITCrashManager</a> crashManagerStatus]</code> is set to <code>BITCrashManagerStatusAlwaysAsk</code> (default) <code><a class="el" href="interface_b_i_t_update_manager.html">BITUpdateManager</a></code>: Is automatically deactivated when the SDK detects it is running from a build distributed via the App Store. Otherwise if it is not deactivated manually, it will show an alert after startup informing the user about a pending update, if one is available. If the user then decides to view the update another screen is presented with further details and an option to install the update. <code>BITFeedbackManager</code>: If this module is deactivated or the user interface is nowhere added into the app, this module will not do anything. It will not fetch the server for data or show any user interface. If it is integrated, activated, and the user already used it to provide feedback, it will show an alert after startup if a new answer has been received from the server with the option to view it.</p>
<p>Example:</p>
<p>[[<a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a> sharedHockeyManager] configureWithIdentifier:"&lt;AppIdentifierFromHockeyApp&gt;" delegate:nil]; [[<a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a> sharedHockeyManager] startManager];</p>
<dl class="section warning"><dt>Warning</dt><dd>The SDK is <b>NOT</b> thread safe and has to be set up on the main thread!</dd>
<dd>
Most properties of all components require to be set <b>BEFORE</b> calling<code>startManager</code>! </dd></dl>
</div><h2 class="groupheader">Method Documentation</h2>
<a id="a2317445ed88307f261c478d69e79b039"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2317445ed88307f261c478d69e79b039">&#9670;&nbsp;</a></span>build()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString *) build </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the SDK Build (CFBundleVersion) as a string. </p>

</div>
</div>
<a id="a9a39afc7f4179e09ef9897a6298452f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a39afc7f4179e09ef9897a6298452f4">&#9670;&nbsp;</a></span>configureWithBetaIdentifier:liveIdentifier:delegate:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) configureWithBetaIdentifier: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>betaIdentifier</em></td>
        </tr>
        <tr>
          <td class="paramkey">liveIdentifier:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>liveIdentifier</em></td>
        </tr>
        <tr>
          <td class="paramkey">delegate:</td>
          <td></td>
          <td class="paramtype">(nullable id&lt; <a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a> &gt;)&#160;</td>
          <td class="paramname"><em>delegate</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initializes the manager with an app identifier for beta, one for live usage and delegate</p>
<p>Initialize the manager with different HockeyApp app identifiers for beta and live usage. All modules will automatically detect if the app is running in the App Store and use the live app identifier for that. In all other cases it will use the beta app identifier. And also assign the class that implements the optional protocols <code><a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a></code>, <code><a class="el" href="protocol_b_i_t_crash_manager_delegate-p.html">BITCrashManagerDelegate</a></code> or <code><a class="el" href="protocol_b_i_t_update_manager_delegate-p.html">BITUpdateManagerDelegate</a></code></p>
<p>[[<a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a> sharedHockeyManager] configureWithBetaIdentifier:"&lt;AppIdentifierForBetaAppFromHockeyApp&gt;"
                  liveIdentifier:@"&lt;AppIdentifierForLiveAppFromHockeyApp&gt;" delegate:nil];</p>
<p>We recommend using one app entry on HockeyApp for your beta versions and another one for your live versions. The reason is that you will have way more beta versions than live versions, but on the other side get way more crash reports on the live version. Separating them into two different app entries makes it easier to work with the data. In addition you will likely end up having the same version number for a beta and live version which would mix different data into the same version. Also the live version does not require you to upload any IPA files, uploading only the dSYM package for crash reporting is just fine.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#ab4b7d756eb0379ed8bd9e7218f007363">- configureWithIdentifier:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a210df4fb8f863d00573f0ce4f5160cfb">- configureWithIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a6b577ba5d1c2a65dc1b27e6a4503a4a3">- startManager</a> </dd>
<dd>
<a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a> </dd>
<dd>
<a class="el" href="protocol_b_i_t_crash_manager_delegate-p.html">BITCrashManagerDelegate</a> </dd>
<dd>
<a class="el" href="protocol_b_i_t_update_manager_delegate-p.html">BITUpdateManagerDelegate</a> </dd>
<dd>
BITFeedbackManagerDelegate </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">betaIdentifier</td><td>The app identifier for the <em>non</em> app store (beta) configurations </td></tr>
    <tr><td class="paramname">liveIdentifier</td><td>The app identifier for the app store configurations. </td></tr>
    <tr><td class="paramname">delegate</td><td><code>nil</code> or the class implementing the optional protocols </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab4b7d756eb0379ed8bd9e7218f007363"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4b7d756eb0379ed8bd9e7218f007363">&#9670;&nbsp;</a></span>configureWithIdentifier:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) configureWithIdentifier: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>appIdentifier</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initializes the manager with a particular app identifier</p>
<p>Initialize the manager with a HockeyApp app identifier.</p>
<p>[[<a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a> sharedHockeyManager] configureWithIdentifier:"&lt;AppIdentifierFromHockeyApp&gt;"];</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#a210df4fb8f863d00573f0ce4f5160cfb">- configureWithIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a9a39afc7f4179e09ef9897a6298452f4">- configureWithBetaIdentifier:liveIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a6b577ba5d1c2a65dc1b27e6a4503a4a3">- startManager</a> </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">appIdentifier</td><td>The app identifier that should be used. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a210df4fb8f863d00573f0ce4f5160cfb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a210df4fb8f863d00573f0ce4f5160cfb">&#9670;&nbsp;</a></span>configureWithIdentifier:delegate:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) <a class="el" href="interface_b_i_t_hockey_manager.html#ab4b7d756eb0379ed8bd9e7218f007363">configureWithIdentifier:</a> </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>appIdentifier</em></td>
        </tr>
        <tr>
          <td class="paramkey">delegate:</td>
          <td></td>
          <td class="paramtype">(nullable id&lt; <a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a> &gt;)&#160;</td>
          <td class="paramname"><em>delegate</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initializes the manager with a particular app identifier and delegate</p>
<p>Initialize the manager with a HockeyApp app identifier and assign the class that implements the optional protocols <code><a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a></code>, <code><a class="el" href="protocol_b_i_t_crash_manager_delegate-p.html">BITCrashManagerDelegate</a></code> or <code><a class="el" href="protocol_b_i_t_update_manager_delegate-p.html">BITUpdateManagerDelegate</a></code>.</p>
<p>[[<a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a> sharedHockeyManager] configureWithIdentifier:"&lt;AppIdentifierFromHockeyApp&gt;" delegate:nil];</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#ab4b7d756eb0379ed8bd9e7218f007363">- configureWithIdentifier:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a9a39afc7f4179e09ef9897a6298452f4">- configureWithBetaIdentifier:liveIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a6b577ba5d1c2a65dc1b27e6a4503a4a3">- startManager</a> </dd>
<dd>
<a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a> </dd>
<dd>
<a class="el" href="protocol_b_i_t_crash_manager_delegate-p.html">BITCrashManagerDelegate</a> </dd>
<dd>
<a class="el" href="protocol_b_i_t_update_manager_delegate-p.html">BITUpdateManagerDelegate</a> </dd>
<dd>
BITFeedbackManagerDelegate </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">appIdentifier</td><td>The app identifier that should be used. </td></tr>
    <tr><td class="paramname">delegate</td><td><code>nil</code> or the class implementing the option protocols </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aec6b731a3a30af3d70541211529377e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec6b731a3a30af3d70541211529377e0">&#9670;&nbsp;</a></span>DEPRECATED_MSG_ATTRIBUTE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL debugLogEnabled) DEPRECATED_MSG_ATTRIBUTE </td>
          <td></td>
          <td class="paramtype">(&quot;Use <a class="el" href="interface_b_i_t_hockey_manager.html#a5491a6c837be3a3185c0392822f0f69f">logLevel</a> instead!&quot;)&#160;</td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Flag that determines whether additional logging output should be generated by the manager and all modules.</p>
<p>This is ignored if the app is running in the App Store and reverts to the default value in that case.</p>
<dl class="section warning"><dt>Warning</dt><dd>This property needs to be set before calling <code>startManager</code></dd></dl>
<p>Default*: <em>NO</em> </p>

</div>
</div>
<a id="a928cdb136ec38fd7f4b1d1841725c9fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a928cdb136ec38fd7f4b1d1841725c9fe">&#9670;&nbsp;</a></span>setLogHandler:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setLogHandler: </td>
          <td></td>
          <td class="paramtype">(BITLogHandler)&#160;</td>
          <td class="paramname"><em>logHandler</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Set a custom block that handles all the log messages that are emitted from the SDK.</p>
<p>You can use this to reroute the messages that would normally be logged by <code>NSLog();</code> to your own custom logging framework.</p>
<p>An example of how to do this with NSLogger:</p>
<div class="fragment"><div class="line">[[<a class="code" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a> <a class="code" href="interface_b_i_t_hockey_manager.html#a88ae3cd93520fb6640716cccc41d4ed1">sharedHockeyManager</a>] setLogHandler:^(BITLogMessageProvider messageProvider, BITLogLevel <a class="code" href="interface_b_i_t_hockey_manager.html#a5491a6c837be3a3185c0392822f0f69f">logLevel</a>, <span class="keyword">const</span> <span class="keywordtype">char</span> *file, <span class="keyword">const</span> <span class="keywordtype">char</span> *<span class="keyword">function</span>, uint line) {</div><div class="line">   LogMessageRawF(file, (<span class="keywordtype">int</span>)line, <span class="keyword">function</span>, <span class="stringliteral">@&quot;HockeySDK&quot;</span>, (<span class="keywordtype">int</span>)<a class="code" href="interface_b_i_t_hockey_manager.html#a5491a6c837be3a3185c0392822f0f69f">logLevel</a>-1, messageProvider());</div><div class="line">}];</div></div><!-- fragment --><p>or with CocoaLumberjack:</p>
<div class="fragment"><div class="line">[[<a class="code" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a> <a class="code" href="interface_b_i_t_hockey_manager.html#a88ae3cd93520fb6640716cccc41d4ed1">sharedHockeyManager</a>] setLogHandler:^(BITLogMessageProvider messageProvider, BITLogLevel <a class="code" href="interface_b_i_t_hockey_manager.html#a5491a6c837be3a3185c0392822f0f69f">logLevel</a>, <span class="keyword">const</span> <span class="keywordtype">char</span> *file, <span class="keyword">const</span> <span class="keywordtype">char</span> *<span class="keyword">function</span>, uint line) {</div><div class="line">   [DDLog log:YES message:messageProvider() level:ddLogLevel flag:(DDLogFlag)(1 &lt;&lt; (<a class="code" href="interface_b_i_t_hockey_manager.html#a5491a6c837be3a3185c0392822f0f69f">logLevel</a>-1)) context:&lt;<span class="preprocessor">#CocoaLumberjackContext#&gt; file:file function:function line:line tag:nil];</span></div><div class="line"><span class="preprocessor">}];</span></div></div><!-- fragment --><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">logHandler</td><td>The block of type BITLogHandler that will process all logged messages. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a88ae3cd93520fb6640716cccc41d4ed1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88ae3cd93520fb6640716cccc41d4ed1">&#9670;&nbsp;</a></span>sharedHockeyManager()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (<a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a> *) sharedHockeyManager </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<hr  />
 <dl class="section return"><dt>Returns</dt><dd>A singleton <a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a> instance ready use </dd></dl>

</div>
</div>
<a id="a6b577ba5d1c2a65dc1b27e6a4503a4a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b577ba5d1c2a65dc1b27e6a4503a4a3">&#9670;&nbsp;</a></span>startManager()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) startManager </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Starts the manager and runs all modules</p>
<p>Call this after configuring the manager and setting up all modules.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#a210df4fb8f863d00573f0ce4f5160cfb">- configureWithIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a9a39afc7f4179e09ef9897a6298452f4">- configureWithBetaIdentifier:liveIdentifier:delegate:</a> </dd></dl>

</div>
</div>
<a id="a2552c1dd1bd985a174ef7015fb0c7131"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2552c1dd1bd985a174ef7015fb0c7131">&#9670;&nbsp;</a></span>testIdentifier()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) testIdentifier </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<hr  />
 <p>Call this method once for debugging purposes to test if your SDK setup code reaches the server successfully.</p>
<p>Once invoked, check the apps page on HockeyApp for a verification.</p>
<p>If you setup the SDK with a beta and live identifier, a call to both app IDs will be done.</p>
<p>This call is ignored if the app is running in the App Store!. </p>

</div>
</div>
<a id="aefa4781037bb029e406e8b456955c2ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefa4781037bb029e406e8b456955c2ab">&#9670;&nbsp;</a></span>version()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString *) version </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<hr  />
 
</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a46ccde303d24752ebc7dca26e9c201a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46ccde303d24752ebc7dca26e9c201a7">&#9670;&nbsp;</a></span>appEnvironment</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BITEnvironment) appEnvironment</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<hr  />
 <p>This property can be used to disable or enable specific funtionality only when specific conditions are met. That could mean for example, to only enable debug UI elements when the app has been installed over HockeyApp but not in the AppStore.</p>
<p>The underlying enum type at the moment only specifies values for the AppStore, TestFlight and Other. Other summarizes several different distribution methods and we might define additional specifc values for other environments in the future.</p>
<dl class="section see"><dt>See also</dt><dd>BITEnvironment </dd></dl>

</div>
</div>
<a id="a77142760e58ae3c6334dd6248cb34c33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77142760e58ae3c6334dd6248cb34c33">&#9670;&nbsp;</a></span>authenticator</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_b_i_t_authenticator.html">BITAuthenticator</a>*) authenticator</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reference to the initialized <a class="el" href="interface_b_i_t_authenticator.html">BITAuthenticator</a> module</p>
<p>Returns the <a class="el" href="interface_b_i_t_authenticator.html">BITAuthenticator</a> instance initialized by <a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a></p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#a210df4fb8f863d00573f0ce4f5160cfb">- configureWithIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a9a39afc7f4179e09ef9897a6298452f4">- configureWithBetaIdentifier:liveIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a6b577ba5d1c2a65dc1b27e6a4503a4a3">- startManager</a> </dd></dl>

</div>
</div>
<a id="af8ca2c2179d873c046b4cc8f5a61cac3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8ca2c2179d873c046b4cc8f5a61cac3">&#9670;&nbsp;</a></span>crashManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_b_i_t_crash_manager.html">BITCrashManager</a>*) crashManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reference to the initialized <a class="el" href="interface_b_i_t_crash_manager.html">BITCrashManager</a> module</p>
<p>Returns the <a class="el" href="interface_b_i_t_crash_manager.html">BITCrashManager</a> instance initialized by <a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a></p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#a210df4fb8f863d00573f0ce4f5160cfb">- configureWithIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a9a39afc7f4179e09ef9897a6298452f4">- configureWithBetaIdentifier:liveIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a6b577ba5d1c2a65dc1b27e6a4503a4a3">- startManager</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#ad448a735dc7a35659bdcd8c2f6c0595b">disableCrashManager</a> </dd></dl>

</div>
</div>
<a id="add469a4b74ca3c815b90b4cd698dfe85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add469a4b74ca3c815b90b4cd698dfe85">&#9670;&nbsp;</a></span>delegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (id&lt;<a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a>&gt;) delegate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">weak</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<hr  />
 <p>Defines the class that implements the optional protocol <code><a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a></code>.</p>
<p>The delegate will automatically be propagated to all components. There is no need to set the delegate for each component individually.</p>
<dl class="section warning"><dt>Warning</dt><dd>This property needs to be set before calling <code>startManager</code></dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a> </dd>
<dd>
<a class="el" href="protocol_b_i_t_crash_manager_delegate-p.html">BITCrashManagerDelegate</a> </dd>
<dd>
<a class="el" href="protocol_b_i_t_update_manager_delegate-p.html">BITUpdateManagerDelegate</a> </dd>
<dd>
BITFeedbackManagerDelegate </dd>
<dd>
<a class="el" href="protocol_b_i_t_authenticator_delegate-p.html">BITAuthenticatorDelegate</a> </dd>
<dd>
<a class="el" href="protocol_b_i_t_store_update_manager_delegate-p.html">BITStoreUpdateManagerDelegate</a> </dd></dl>

</div>
</div>
<a id="ad448a735dc7a35659bdcd8c2f6c0595b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad448a735dc7a35659bdcd8c2f6c0595b">&#9670;&nbsp;</a></span>disableCrashManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) disableCrashManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Flag the determines whether the Crash Manager should be disabled</p>
<p>If this flag is enabled, then crash reporting is disabled and no crashes will be send.</p>
<p>Please note that the Crash Manager instance will be initialized anyway, but crash report handling (signal and uncaught exception handlers) will <b>not</b> be registered.</p>
<dl class="section warning"><dt>Warning</dt><dd>This property needs to be set before calling <code>startManager</code></dd></dl>
<p>Default*: <em>NO</em> </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#af8ca2c2179d873c046b4cc8f5a61cac3">crashManager</a> </dd></dl>

</div>
</div>
<a id="a64a68fd6a448e3d4877a3d8e5f9860a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64a68fd6a448e3d4877a3d8e5f9860a8">&#9670;&nbsp;</a></span>disableInstallTracking</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) disableInstallTracking</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Disable tracking the installation of an app on a device</p>
<p>This will cause the app to generate a new <code>installString</code> value every time the app is cold started.</p>
<p>This property is only considered in App Store Environment, since it would otherwise affect the <code><a class="el" href="interface_b_i_t_update_manager.html">BITUpdateManager</a></code> and <code><a class="el" href="interface_b_i_t_authenticator.html">BITAuthenticator</a></code> functionalities!</p>
<dl class="section warning"><dt>Warning</dt><dd>This property needs to be set before calling <code>startManager</code></dd></dl>
<p>Default*: <em>NO</em> </p>

</div>
</div>
<a id="ad04149f729164cc0670c5dc9812c2d43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad04149f729164cc0670c5dc9812c2d43">&#9670;&nbsp;</a></span>disableMetricsManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) disableMetricsManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Flag the determines whether the <a class="el" href="interface_b_i_t_metrics_manager.html">BITMetricsManager</a> should be disabled</p>
<p>If this flag is enabled, then sending metrics data such as sessions and users will be turned off!</p>
<p>Please note that the <a class="el" href="interface_b_i_t_metrics_manager.html">BITMetricsManager</a> instance will be initialized anyway!</p>
<p>Default*: <em>NO</em> </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#ae0b91d8eb94a1c38bb50d136623c93b9">metricsManager</a> </dd></dl>

</div>
</div>
<a id="aae5e18f56bb70ce07de29d5fbcc3d47f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae5e18f56bb70ce07de29d5fbcc3d47f">&#9670;&nbsp;</a></span>disableUpdateManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) disableUpdateManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Flag the determines whether the Update Manager should be disabled</p>
<p>If this flag is enabled, then checking for updates and submitting beta usage analytics will be turned off!</p>
<p>Please note that the Update Manager instance will be initialized anyway!</p>
<dl class="section warning"><dt>Warning</dt><dd>This property needs to be set before calling <code>startManager</code></dd></dl>
<p>Default*: <em>NO</em> </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#a81192e3773db76edda3eea893fa59579">updateManager</a> </dd></dl>

</div>
</div>
<a id="a6e5bdbb1183a166a2b5ad81cec42f99a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e5bdbb1183a166a2b5ad81cec42f99a">&#9670;&nbsp;</a></span>enableStoreUpdateManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) enableStoreUpdateManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Flag the determines whether the App Store Update Manager should be enabled</p>
<p>If this flag is enabled, then checking for updates when the app runs from the app store will be turned on!</p>
<p>Please note that the Store Update Manager instance will be initialized anyway!</p>
<dl class="section warning"><dt>Warning</dt><dd>This property needs to be set before calling <code>startManager</code></dd></dl>
<p>Default*: <em>NO</em> </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#a88a2490372fb276fb336ed5817e75ccf">storeUpdateManager</a> </dd></dl>

</div>
</div>
<a id="ab2feeb886ab3164720afdccda83687fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2feeb886ab3164720afdccda83687fe">&#9670;&nbsp;</a></span>installString</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) installString</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the app installation specific anonymous UUID</p>
<p>The value returned by this method is unique and persisted per app installation in the keychain. It is also being used in crash reports as <code>CrashReporter Key</code> and internally when sending crash reports and feedback messages.</p>
<p>This is not identical to the <code>[ASIdentifierManager advertisingIdentifier]</code> or the <code>[UIDevice identifierForVendor]</code>! </p>

</div>
</div>
<a id="a5491a6c837be3a3185c0392822f0f69f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5491a6c837be3a3185c0392822f0f69f">&#9670;&nbsp;</a></span>logLevel</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BITLogLevel) logLevel</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<hr  />
 <p>you want to see log messages in the console. </p>

</div>
</div>
<a id="ae0b91d8eb94a1c38bb50d136623c93b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0b91d8eb94a1c38bb50d136623c93b9">&#9670;&nbsp;</a></span>metricsManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_b_i_t_metrics_manager.html">BITMetricsManager</a>*) metricsManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reference to the initialized <a class="el" href="interface_b_i_t_metrics_manager.html">BITMetricsManager</a> module</p>
<p>Returns the <a class="el" href="interface_b_i_t_metrics_manager.html">BITMetricsManager</a> instance initialized by <a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a> </p>

</div>
</div>
<a id="a7b2961029dd7c9aeeebd088f55005fd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b2961029dd7c9aeeebd088f55005fd5">&#9670;&nbsp;</a></span>serverURL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) serverURL</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Defines the server URL to send data to or request data from</p>
<p>By default this is set to the HockeyApp servers and there rarely should be a need to modify that. Please be aware that the URL for <code><a class="el" href="interface_b_i_t_metrics_manager.html">BITMetricsManager</a></code> needs to be set separately as this class uses a different endpoint!</p>
<dl class="section warning"><dt>Warning</dt><dd>This property needs to be set before calling <code>startManager</code> </dd></dl>

</div>
</div>
<a id="a88a2490372fb276fb336ed5817e75ccf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88a2490372fb276fb336ed5817e75ccf">&#9670;&nbsp;</a></span>storeUpdateManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_b_i_t_store_update_manager.html">BITStoreUpdateManager</a>*) storeUpdateManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reference to the initialized <a class="el" href="interface_b_i_t_store_update_manager.html">BITStoreUpdateManager</a> module</p>
<p>Returns the <a class="el" href="interface_b_i_t_store_update_manager.html">BITStoreUpdateManager</a> instance initialized by <a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a></p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#a210df4fb8f863d00573f0ce4f5160cfb">- configureWithIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a9a39afc7f4179e09ef9897a6298452f4">- configureWithBetaIdentifier:liveIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a6b577ba5d1c2a65dc1b27e6a4503a4a3">- startManager</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a6e5bdbb1183a166a2b5ad81cec42f99a">enableStoreUpdateManager</a> </dd></dl>

</div>
</div>
<a id="a81192e3773db76edda3eea893fa59579"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81192e3773db76edda3eea893fa59579">&#9670;&nbsp;</a></span>updateManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_b_i_t_update_manager.html">BITUpdateManager</a>*) updateManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reference to the initialized <a class="el" href="interface_b_i_t_update_manager.html">BITUpdateManager</a> module</p>
<p>Returns the <a class="el" href="interface_b_i_t_update_manager.html">BITUpdateManager</a> instance initialized by <a class="el" href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a></p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#a210df4fb8f863d00573f0ce4f5160cfb">- configureWithIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a9a39afc7f4179e09ef9897a6298452f4">- configureWithBetaIdentifier:liveIdentifier:delegate:</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a6b577ba5d1c2a65dc1b27e6a4503a4a3">- startManager</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#aae5e18f56bb70ce07de29d5fbcc3d47f">disableUpdateManager</a> </dd></dl>

</div>
</div>
<a id="ab083fd69a91299e5ad9ac45cfcb2ccc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab083fd69a91299e5ad9ac45cfcb2ccc0">&#9670;&nbsp;</a></span>userEmail</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) userEmail</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Set the users email address that should used in the SDK components</p>
<p>Right now this is used by the <code><a class="el" href="interface_b_i_t_crash_manager.html">BITCrashManager</a></code> to attach to a crash report. <code>BITFeedbackManager</code> uses it too for assigning the user to a discussion thread.</p>
<p>The value can be set at any time and will be stored in the keychain on the current device only! To delete the value from the keychain set the value to <code>nil</code>.</p>
<p>This property is optional and can be used as an alternative to the delegate. If you want to define specific data for each component, use the delegate instead which does overwrite the values set by this property.</p>
<dl class="section warning"><dt>Warning</dt><dd>When returning a non nil value, crash reports are not anonymous any more and the crash alerts will not show the word "anonymous"!</dd>
<dd>
This property needs to be set before calling <code>startManager</code> to be considered for being added to crash reports as meta data.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#a7471a4413b37ee1bbbf76d328ced4fb1">userID</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#a26fd1de06ba7d0cca9f3ba1cedcd92cc">userName</a> </dd>
<dd>
[<a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a> userEmailForHockeyManager:componentManager:] </dd></dl>

</div>
</div>
<a id="a7471a4413b37ee1bbbf76d328ced4fb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7471a4413b37ee1bbbf76d328ced4fb1">&#9670;&nbsp;</a></span>userID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) userID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<hr  />
 <p>Right now this is used by the <code><a class="el" href="interface_b_i_t_crash_manager.html">BITCrashManager</a></code> to attach to a crash report. <code>BITFeedbackManager</code> uses it too for assigning the user to a discussion thread.</p>
<p>The value can be set at any time and will be stored in the keychain on the current device only! To delete the value from the keychain set the value to <code>nil</code>.</p>
<p>This property is optional and can be used as an alternative to the delegate. If you want to define specific data for each component, use the delegate instead which does overwrite the values set by this property.</p>
<dl class="section warning"><dt>Warning</dt><dd>When returning a non nil value, crash reports are not anonymous any more and the crash alerts will not show the word "anonymous"!</dd>
<dd>
This property needs to be set before calling <code>startManager</code> to be considered for being added to crash reports as meta data.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#a26fd1de06ba7d0cca9f3ba1cedcd92cc">userName</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#ab083fd69a91299e5ad9ac45cfcb2ccc0">userEmail</a> </dd>
<dd>
<code>[<a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a> userIDForHockeyManager:componentManager:]</code> </dd></dl>

</div>
</div>
<a id="a26fd1de06ba7d0cca9f3ba1cedcd92cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26fd1de06ba7d0cca9f3ba1cedcd92cc">&#9670;&nbsp;</a></span>userName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) userName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Set the user name that should used in the SDK components</p>
<p>Right now this is used by the <code><a class="el" href="interface_b_i_t_crash_manager.html">BITCrashManager</a></code> to attach to a crash report. <code>BITFeedbackManager</code> uses it too for assigning the user to a discussion thread.</p>
<p>The value can be set at any time and will be stored in the keychain on the current device only! To delete the value from the keychain set the value to <code>nil</code>.</p>
<p>This property is optional and can be used as an alternative to the delegate. If you want to define specific data for each component, use the delegate instead which does overwrite the values set by this property.</p>
<dl class="section warning"><dt>Warning</dt><dd>When returning a non nil value, crash reports are not anonymous any more and the crash alerts will not show the word "anonymous"!</dd>
<dd>
This property needs to be set before calling <code>startManager</code> to be considered for being added to crash reports as meta data.</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="interface_b_i_t_hockey_manager.html#a7471a4413b37ee1bbbf76d328ced4fb1">userID</a> </dd>
<dd>
<a class="el" href="interface_b_i_t_hockey_manager.html#ab083fd69a91299e5ad9ac45cfcb2ccc0">userEmail</a> </dd>
<dd>
<code>[<a class="el" href="protocol_b_i_t_hockey_manager_delegate-p.html">BITHockeyManagerDelegate</a> userNameForHockeyManager:componentManager:]</code> </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_b_i_t_hockey_manager_8h_source.html">BITHockeyManager.h</a></li>
</ul>
</div><!-- contents -->
<div class="ttc" id="ainterface_b_i_t_hockey_manager_html_a88ae3cd93520fb6640716cccc41d4ed1"><div class="ttname"><a href="interface_b_i_t_hockey_manager.html#a88ae3cd93520fb6640716cccc41d4ed1">+[BITHockeyManager sharedHockeyManager]</a></div><div class="ttdeci">BITHockeyManager * sharedHockeyManager()</div></div>
<div class="ttc" id="ainterface_b_i_t_hockey_manager_html"><div class="ttname"><a href="interface_b_i_t_hockey_manager.html">BITHockeyManager</a></div><div class="ttdef"><b>Definition:</b> BITHockeyManager.h:91</div></div>
<div class="ttc" id="ainterface_b_i_t_hockey_manager_html_a5491a6c837be3a3185c0392822f0f69f"><div class="ttname"><a href="interface_b_i_t_hockey_manager.html#a5491a6c837be3a3185c0392822f0f69f">BITHockeyManager::logLevel</a></div><div class="ttdeci">BITLogLevel logLevel</div><div class="ttdef"><b>Definition:</b> BITHockeyManager.h:464</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
